Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 164833 - NullPointerException at com.sun.tools.javac.comp.Lower.visitMethodDefInternal
NullPointerException at com.sun.tools.javac.comp.Lower.visitMethodDefInternal
Status: VERIFIED FIXED
Product: java
Classification: Unclassified
Component: Compiler
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Dusan Balek
issues@java
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT 67patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-11 05:06 UTC by kangbo6
Modified: 2009-08-03 10:10 UTC (History)
18 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (4.20 KB, text/plain)
2009-05-11 05:07 UTC, kangbo6
Details
stacktrace (3.60 KB, text/plain)
2009-05-12 17:44 UTC, ranbato
Details
stacktrace (3.60 KB, text/plain)
2009-05-15 21:08 UTC, ulfzibis
Details
stacktrace (3.60 KB, text/plain)
2009-05-18 22:11 UTC, ulfzibis
Details
stacktrace (3.60 KB, text/plain)
2009-05-18 22:32 UTC, ulfzibis
Details
stacktrace (3.96 KB, text/plain)
2009-05-21 23:34 UTC, franci
Details
stacktrace (3.90 KB, text/plain)
2009-05-23 17:05 UTC, rmatous
Details
stacktrace (3.84 KB, text/plain)
2009-05-27 21:10 UTC, athompson
Details
stacktrace (4.25 KB, text/plain)
2009-06-12 06:48 UTC, Erno Mononen
Details
stacktrace (4.26 KB, text/plain)
2009-06-12 16:46 UTC, athompson
Details
stacktrace (3.84 KB, text/plain)
2009-06-12 16:49 UTC, athompson
Details
stacktrace (3.96 KB, text/plain)
2009-06-14 09:05 UTC, nleck
Details
stacktrace (3.60 KB, text/plain)
2009-06-14 13:19 UTC, nleck
Details
stacktrace (3.84 KB, text/plain)
2009-06-14 15:17 UTC, nleck
Details
stacktrace (3.84 KB, text/plain)
2009-06-15 12:02 UTC, Max Sauer
Details
stacktrace (4.14 KB, text/plain)
2009-06-23 15:35 UTC, Ivan Sidorkin
Details
stacktrace (4.13 KB, text/plain)
2009-08-03 10:10 UTC, Tomasz Slota
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kangbo6 2009-05-11 05:06:52 UTC
Build: NetBeans IDE 6.7 Beta (Build 200904242137)
VM: Java HotSpot(TM) Client VM, 11.2-b01, Java(TM) SE Runtime Environment, 1.6.0_12-b04
OS: Windows XP, 5.1, x86

Stacktrace: 
java.lang.NullPointerException
        at com.sun.tools.javac.comp.Lower.visitMethodDefInternal(Lower.java:2363)
        at com.sun.tools.javac.comp.Lower.visitMethodDef(Lower.java:2288)
        at com.sun.tools.javac.tree.JCTree$JCMethodDecl.accept(JCTree.java:656)
        at com.sun.tools.javac.tree.TreeTranslator.translate(TreeTranslator.java:58)
        at com.sun.tools.javac.comp.Lower.translate(Lower.java:1919)
        at com.sun.tools.javac.comp.Lower.visitClassDef(Lower.java:2031)
Comment 1 kangbo6 2009-05-11 05:07:00 UTC
Created attachment 81871 [details]
stacktrace
Comment 2 Dusan Balek 2009-05-11 09:04:13 UTC
Are you able to reproduce the issue on your sources?
Comment 3 ranbato 2009-05-12 17:44:48 UTC
Build: NetBeans IDE Dev (Build 200905110201)
VM: Java HotSpot(TM) Client VM, 14.0-b15, Java(TM) SE Runtime Environment, 1.6.0_14-ea-b06
OS: Windows XP, 5.1, x86

User Comments: 
Typing up a new inner class and switched away

Stacktrace: 
java.lang.NullPointerException
        at com.sun.tools.javac.comp.Lower.visitMethodDefInternal(Lower.java:2363)
        at com.sun.tools.javac.comp.Lower.visitMethodDef(Lower.java:2288)
        at com.sun.tools.javac.tree.JCTree$JCMethodDecl.accept(JCTree.java:656)
        at com.sun.tools.javac.tree.TreeTranslator.translate(TreeTranslator.java:58)
        at com.sun.tools.javac.comp.Lower.translate(Lower.java:1919)
        at com.sun.tools.javac.comp.Lower.visitClassDef(Lower.java:2031)
Comment 4 ranbato 2009-05-12 17:44:54 UTC
Created attachment 81996 [details]
stacktrace
Comment 5 ulfzibis 2009-05-15 21:08:00 UTC
Build: NetBeans IDE Dev (Build 200905080001)
VM: Java HotSpot(TM) Client VM, 11.2-b01, Java(TM) SE Runtime Environment, 1.6.0_12-b04
OS: Windows XP, 5.1, x86

User Comments: 


Stacktrace: 
java.lang.NullPointerException
        at com.sun.tools.javac.comp.Lower.visitMethodDefInternal(Lower.java:2363)
        at com.sun.tools.javac.comp.Lower.visitMethodDef(Lower.java:2288)
        at com.sun.tools.javac.tree.JCTree$JCMethodDecl.accept(JCTree.java:656)
        at com.sun.tools.javac.tree.TreeTranslator.translate(TreeTranslator.java:58)
        at com.sun.tools.javac.comp.Lower.translate(Lower.java:1919)
        at com.sun.tools.javac.comp.Lower.visitClassDef(Lower.java:2031)
Comment 6 ulfzibis 2009-05-15 21:08:10 UTC
Created attachment 82222 [details]
stacktrace
Comment 7 ulfzibis 2009-05-18 22:11:08 UTC
Build: NetBeans IDE Dev (Build 200905160201)
VM: Java HotSpot(TM) Client VM, 11.2-b01, Java(TM) SE Runtime Environment, 1.6.0_12-b04
OS: Windows XP, 5.1, x86

User Comments: 
no idea ?

Stacktrace: 
java.lang.NullPointerException
        at com.sun.tools.javac.comp.Lower.visitMethodDefInternal(Lower.java:2360)
        at com.sun.tools.javac.comp.Lower.visitMethodDef(Lower.java:2285)
        at com.sun.tools.javac.tree.JCTree$JCMethodDecl.accept(JCTree.java:656)
        at com.sun.tools.javac.tree.TreeTranslator.translate(TreeTranslator.java:58)
        at com.sun.tools.javac.comp.Lower.translate(Lower.java:1916)
        at com.sun.tools.javac.comp.Lower.visitClassDef(Lower.java:2028)
Comment 8 ulfzibis 2009-05-18 22:11:18 UTC
Created attachment 82351 [details]
stacktrace
Comment 9 ulfzibis 2009-05-18 22:32:08 UTC
Build: NetBeans IDE Dev (Build 200905160201)
VM: Java HotSpot(TM) Client VM, 11.2-b01, Java(TM) SE Runtime Environment, 1.6.0_12-b04
OS: Windows XP, 5.1, x86

User Comments: 


Stacktrace: 
java.lang.NullPointerException
        at com.sun.tools.javac.comp.Lower.visitMethodDefInternal(Lower.java:2360)
        at com.sun.tools.javac.comp.Lower.visitMethodDef(Lower.java:2285)
        at com.sun.tools.javac.tree.JCTree$JCMethodDecl.accept(JCTree.java:656)
        at com.sun.tools.javac.tree.TreeTranslator.translate(TreeTranslator.java:58)
        at com.sun.tools.javac.comp.Lower.translate(Lower.java:1916)
        at com.sun.tools.javac.comp.Lower.visitClassDef(Lower.java:2028)
Comment 10 ulfzibis 2009-05-18 22:32:11 UTC
Created attachment 82353 [details]
stacktrace
Comment 11 franci 2009-05-21 23:34:33 UTC
Build: NetBeans IDE Dev (Build 200905210001)
VM: Java HotSpot(TM) Client VM, 11.0-b15, Java(TM) SE Runtime Environment, 1.6.0_10-b33
OS: Linux, 2.6.24-24-generic, i386

User Comments: 
opening options afeter importing.

steps:

- export options (all)
- detele .netbeans/dev2
- import options (all).
- open options, you get de exception.

Stacktrace: 
java.lang.NullPointerException
        at com.sun.tools.javac.comp.Lower.visitMethodDefInternal(Lower.java:2360)
        at com.sun.tools.javac.comp.Lower.visitMethodDef(Lower.java:2285)
        at com.sun.tools.javac.tree.JCTree$JCMethodDecl.accept(JCTree.java:656)
        at com.sun.tools.javac.tree.TreeTranslator.translate(TreeTranslator.java:58)
        at com.sun.tools.javac.comp.Lower.translate(Lower.java:1916)
        at com.sun.tools.javac.comp.Lower.visitClassDef(Lower.java:2028)
Comment 12 franci 2009-05-21 23:34:37 UTC
Created attachment 82590 [details]
stacktrace
Comment 13 rmatous 2009-05-23 17:05:33 UTC
Build: NetBeans IDE Dev (Build 200905161401)
VM: Java HotSpot(TM) Client VM, 1.5.0_16-b02, Java(TM) 2 Runtime Environment, Standard Edition, 1.5.0_16-b02
OS: Linux, 2.6.24-24-generic, i386

User Comments: 


Stacktrace: 
java.lang.NullPointerException
        at com.sun.tools.javac.comp.Lower.visitMethodDefInternal(Lower.java:2360)
        at com.sun.tools.javac.comp.Lower.visitMethodDef(Lower.java:2285)
        at com.sun.tools.javac.tree.JCTree$JCMethodDecl.accept(JCTree.java:656)
        at com.sun.tools.javac.tree.TreeTranslator.translate(TreeTranslator.java:58)
        at com.sun.tools.javac.comp.Lower.translate(Lower.java:1916)
        at com.sun.tools.javac.comp.Lower.visitClassDef(Lower.java:2028)
Comment 14 rmatous 2009-05-23 17:05:44 UTC
Created attachment 82694 [details]
stacktrace
Comment 15 athompson 2009-05-27 21:10:21 UTC
Build: NetBeans IDE Dev (Build 200905270201)
VM: Java HotSpot(TM) 64-Bit Server VM, 11.3-b02, Java(TM) SE Runtime Environment, 1.6.0_13-b03
OS: Linux, 2.6.28-11-generic, amd64

User Comments: 
editing pom.xml

Stacktrace: 
java.lang.NullPointerException
        at com.sun.tools.javac.comp.Lower.visitMethodDefInternal(Lower.java:2360)
        at com.sun.tools.javac.comp.Lower.visitMethodDef(Lower.java:2285)
        at com.sun.tools.javac.tree.JCTree$JCMethodDecl.accept(JCTree.java:656)
        at com.sun.tools.javac.tree.TreeTranslator.translate(TreeTranslator.java:58)
        at com.sun.tools.javac.comp.Lower.translate(Lower.java:1916)
        at com.sun.tools.javac.comp.Lower.visitClassDef(Lower.java:2028)
Comment 16 athompson 2009-05-27 21:10:32 UTC
Created attachment 82885 [details]
stacktrace
Comment 17 Erno Mononen 2009-06-12 06:48:43 UTC
Build: NetBeans IDE Dev (Build ruby-2759-on-090528)
VM: Java HotSpot(TM) 64-Bit Server VM, 11.3-b02, Java(TM) SE Runtime Environment, 1.6.0_13-b03
OS: Linux, 2.6.27-14-generic, amd64

User Comments: 
Viewing a Java file, scanning was in progress.

Stacktrace: 
java.lang.NullPointerException
        at com.sun.tools.javac.comp.Lower.visitMethodDefInternal(Lower.java:2360)
        at com.sun.tools.javac.comp.Lower.visitMethodDef(Lower.java:2285)
        at com.sun.tools.javac.tree.JCTree$JCMethodDecl.accept(JCTree.java:656)
        at com.sun.tools.javac.tree.TreeTranslator.translate(TreeTranslator.java:58)
        at com.sun.tools.javac.comp.Lower.translate(Lower.java:1916)
        at com.sun.tools.javac.comp.Lower.visitClassDef(Lower.java:2028)
Comment 18 Erno Mononen 2009-06-12 06:48:53 UTC
Created attachment 83481 [details]
stacktrace
Comment 19 Exceptions Reporter 2009-06-12 06:49:06 UTC
This issue already has 21 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=150897
Comment 20 athompson 2009-06-12 16:46:24 UTC
Build: NetBeans IDE Dev (Build 200906120201)
VM: Java HotSpot(TM) 64-Bit Server VM, 11.3-b02, Java(TM) SE Runtime Environment, 1.6.0_13-b03
OS: Linux, 2.6.28-11-generic, amd64

User Comments: 
opened a maven project

Stacktrace: 
java.lang.NullPointerException
        at com.sun.tools.javac.comp.Lower.visitMethodDefInternal(Lower.java:2360)
        at com.sun.tools.javac.comp.Lower.visitMethodDef(Lower.java:2285)
        at com.sun.tools.javac.tree.JCTree$JCMethodDecl.accept(JCTree.java:656)
        at com.sun.tools.javac.tree.TreeTranslator.translate(TreeTranslator.java:58)
        at com.sun.tools.javac.comp.Lower.translate(Lower.java:1916)
        at com.sun.tools.javac.comp.Lower.visitClassDef(Lower.java:2028)
Comment 21 athompson 2009-06-12 16:46:35 UTC
Created attachment 83515 [details]
stacktrace
Comment 22 athompson 2009-06-12 16:49:23 UTC
Build: NetBeans IDE Dev (Build 200906120201)
VM: Java HotSpot(TM) 64-Bit Server VM, 11.3-b02, Java(TM) SE Runtime Environment, 1.6.0_13-b03
OS: Linux, 2.6.28-11-generic, amd64

User Comments: 
opened a maven project

Stacktrace: 
java.lang.NullPointerException
        at com.sun.tools.javac.comp.Lower.visitMethodDefInternal(Lower.java:2362)
        at com.sun.tools.javac.comp.Lower.visitMethodDef(Lower.java:2285)
        at com.sun.tools.javac.tree.JCTree$JCMethodDecl.accept(JCTree.java:656)
        at com.sun.tools.javac.tree.TreeTranslator.translate(TreeTranslator.java:58)
        at com.sun.tools.javac.comp.Lower.translate(Lower.java:1916)
        at com.sun.tools.javac.comp.Lower.visitClassDef(Lower.java:2028)
Comment 23 athompson 2009-06-12 16:49:33 UTC
Created attachment 83516 [details]
stacktrace
Comment 24 nleck 2009-06-14 09:04:56 UTC
Build: NetBeans IDE Dev (Build 200906131401)
VM: Java HotSpot(TM) Client VM, 1.5.0_18-b02, Java(TM) 2 Runtime Environment, Standard Edition, 1.5.0_18-b02
OS: SunOS, 5.10, sparc

User Comments: 
watching a log file. 

Stacktrace: 
java.lang.NullPointerException
        at com.sun.tools.javac.comp.Lower.visitMethodDefInternal(Lower.java:2360)
        at com.sun.tools.javac.comp.Lower.visitMethodDef(Lower.java:2285)
        at com.sun.tools.javac.tree.JCTree$JCMethodDecl.accept(JCTree.java:656)
        at com.sun.tools.javac.tree.TreeTranslator.translate(TreeTranslator.java:58)
        at com.sun.tools.javac.comp.Lower.translate(Lower.java:1916)
        at com.sun.tools.javac.comp.Lower.visitClassDef(Lower.java:2028)
Comment 25 nleck 2009-06-14 09:05:07 UTC
Created attachment 83551 [details]
stacktrace
Comment 26 nleck 2009-06-14 13:18:59 UTC
Build: NetBeans IDE Dev (Build 200906131401)
VM: Java HotSpot(TM) Client VM, 1.5.0_18-b02, Java(TM) 2 Runtime Environment, Standard Edition, 1.5.0_18-b02
OS: SunOS, 5.10, sparc

User Comments: 
project scann

Stacktrace: 
java.lang.NullPointerException
        at com.sun.tools.javac.comp.Lower.visitMethodDefInternal(Lower.java:2360)
        at com.sun.tools.javac.comp.Lower.visitMethodDef(Lower.java:2285)
        at com.sun.tools.javac.tree.JCTree$JCMethodDecl.accept(JCTree.java:656)
        at com.sun.tools.javac.tree.TreeTranslator.translate(TreeTranslator.java:58)
        at com.sun.tools.javac.comp.Lower.translate(Lower.java:1916)
        at com.sun.tools.javac.comp.Lower.visitClassDef(Lower.java:2028)
Comment 27 nleck 2009-06-14 13:19:09 UTC
Created attachment 83556 [details]
stacktrace
Comment 28 nleck 2009-06-14 15:17:04 UTC
Build: NetBeans IDE Dev (Build 200906131401)
VM: Java HotSpot(TM) Client VM, 1.5.0_18-b02, Java(TM) 2 Runtime Environment, Standard Edition, 1.5.0_18-b02
OS: SunOS, 5.10, sparc

User Comments: 


Stacktrace: 
java.lang.NullPointerException
        at com.sun.tools.javac.comp.Lower.visitMethodDefInternal(Lower.java:2360)
        at com.sun.tools.javac.comp.Lower.visitMethodDef(Lower.java:2285)
        at com.sun.tools.javac.tree.JCTree$JCMethodDecl.accept(JCTree.java:656)
        at com.sun.tools.javac.tree.TreeTranslator.translate(TreeTranslator.java:58)
        at com.sun.tools.javac.comp.Lower.translate(Lower.java:1916)
        at com.sun.tools.javac.comp.Lower.visitClassDef(Lower.java:2028)
Comment 29 nleck 2009-06-14 15:17:16 UTC
Created attachment 83557 [details]
stacktrace
Comment 30 Max Sauer 2009-06-15 12:02:40 UTC
Build: NetBeans IDE Dev (Build 200906141401)
VM: Java HotSpot(TM) 64-Bit Server VM, 1.6.0_07-b06-57, Java(TM) SE Runtime Environment, 1.6.0_07-b06-153
OS: Mac OS X, 10.5.7, x86_64

User Comments: 
Opened a java file.

Stacktrace: 
java.lang.NullPointerException
        at com.sun.tools.javac.comp.Lower.visitMethodDefInternal(Lower.java:2360)
        at com.sun.tools.javac.comp.Lower.visitMethodDef(Lower.java:2285)
        at com.sun.tools.javac.tree.JCTree$JCMethodDecl.accept(JCTree.java:656)
        at com.sun.tools.javac.tree.TreeTranslator.translate(TreeTranslator.java:58)
        at com.sun.tools.javac.comp.Lower.translate(Lower.java:1916)
        at com.sun.tools.javac.comp.Lower.visitClassDef(Lower.java:2028)
Comment 31 Max Sauer 2009-06-15 12:02:55 UTC
Created attachment 83581 [details]
stacktrace
Comment 32 Dusan Balek 2009-06-16 15:19:38 UTC
Fixed in jet-main.

http://hg.netbeans.org/jet-main/rev/54436b47a3df

changeset 5c8eaa9bcbc3 in main/nb-javac
details: http://hg.netbeans.org/main/nb-javac?cmd=changeset;node=5c8eaa9bcbc3
Comment 33 Quality Engineering 2009-06-17 18:50:20 UTC
Integrated into 'main-golden', will be available in build *200906171401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/54436b47a3df
User: Dusan Balek <dbalek@netbeans.org>
Log: Issue #164833: NullPointerException at com.sun.tools.javac.comp.Lower.visitMethodDefInternal - fixed.
Comment 34 Ivan Sidorkin 2009-06-23 15:35:26 UTC
Build: NetBeans IDE Dev (Build 200906160201)
VM: Java HotSpot(TM) 64-Bit Server VM, 11.3-b02, Java(TM) SE Runtime Environment, 1.6.0_13-b02
OS: Linux, 2.6.27-14-generic, amd64

User Comments: 


Stacktrace: 
java.lang.NullPointerException
        at com.sun.tools.javac.comp.Lower.visitMethodDefInternal(Lower.java:2360)
        at com.sun.tools.javac.comp.Lower.visitMethodDef(Lower.java:2285)
        at com.sun.tools.javac.tree.JCTree$JCMethodDecl.accept(JCTree.java:656)
        at com.sun.tools.javac.tree.TreeTranslator.translate(TreeTranslator.java:58)
        at com.sun.tools.javac.comp.Lower.translate(Lower.java:1916)
        at com.sun.tools.javac.comp.Lower.visitClassDef(Lower.java:2028)
Comment 35 Ivan Sidorkin 2009-06-23 15:35:31 UTC
Created attachment 83941 [details]
stacktrace
Comment 36 Petr Blaha 2009-07-02 13:13:36 UTC
Can't reproduce in 090702 build.
Comment 37 pgebauer 2009-07-03 14:49:02 UTC
The fix has been ported into the release67_fixes repository.
http://hg.netbeans.org/release67_fixes/rev/6dbba45d6ea2
Comment 38 Jiri Prox 2009-07-16 15:22:21 UTC
I've never seen this problem in 6.7.1 -> verified
Comment 39 Tomasz Slota 2009-08-03 10:10:33 UTC
Build: NetBeans IDE 6.7 (Build 200906241340)
VM: Java HotSpot(TM) Client VM, 1.5.0_19-137, Java(TM) 2 Runtime Environment, Standard Edition, 1.5.0_19-b02-304
OS: Mac OS X, 10.5.7, i386

User Comments: 


Stacktrace: 
java.lang.NullPointerException
        at com.sun.tools.javac.comp.Lower.visitMethodDefInternal(Lower.java:2360)
        at com.sun.tools.javac.comp.Lower.visitMethodDef(Lower.java:2285)
        at com.sun.tools.javac.tree.JCTree$JCMethodDecl.accept(JCTree.java:656)
        at com.sun.tools.javac.tree.TreeTranslator.translate(TreeTranslator.java:58)
        at com.sun.tools.javac.comp.Lower.translate(Lower.java:1916)
        at com.sun.tools.javac.comp.Lower.visitClassDef(Lower.java:2028)
Comment 40 Tomasz Slota 2009-08-03 10:10:39 UTC
Created attachment 85675 [details]
stacktrace


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo